Page MenuHomePhabricator

Statement group IDs on Senses should be unique
Closed, ResolvedPublic5 Story Points

Description

Problem:
Statements on Lexeme pages are identified with the HTML attribute id, whose values are the corresponding property IDs. This can lead to multiple HTML elements with the same id, since the same property can be used on the Lexeme level, in each Form and also Sense. However, the id value must be unique within the HTML document. It also causes issues when you use it as a link fragment to link to a specific statement group.
This still needs to be fixed for Senses now.

Old Example for Forms:

BDD

GIVEN I am on a Lexeme
AND   the Sense S1 has a statement using property P123
THEN  the statement group for S1 has an HTML id "S1-P123" <- mind that this lacks the Lexeme part of the id

Acceptance criteria:

  • Statement groups in Senses have the Senses ID added to their statement group ID
  • Statement groups on the Lexeme level as well as on items and properties continue to have only the property ID in their statement group ID

Info

  • This was done for Forms in T196226

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 20 2018, 11:26 AM
Lucas_Werkmeister_WMDE renamed this task from Statement IDs on Senses should be unique to Statement group IDs on Senses should be unique.Sep 25 2018, 1:24 PM
Lucas_Werkmeister_WMDE moved this task from Ready to go to In Progress on the Wikidata-Campsite board.
Lucas_Werkmeister_WMDE set the point value for this task to 5.
Pablo-WMDE updated the task description. (Show Details)Sep 26 2018, 10:54 AM

Change 464031 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Make statement group IDs on Senses unique

https://gerrit.wikimedia.org/r/464031

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 2 2018, 8:15 PM

Change 464031 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make statement group IDs on Senses unique

https://gerrit.wikimedia.org/r/464031

Change 468297 had a related patch set uploaded (by Addshore; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.24] Make statement group IDs on Senses unique

https://gerrit.wikimedia.org/r/468297

Change 468297 merged by Addshore:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.24] Make statement group IDs on Senses unique

https://gerrit.wikimedia.org/r/468297